Перейти к содержимому


Фотография

Firefox 55 будет запрашивать разрешение на использование Flash по умолчанию


  • Авторизуйтесь для ответа в теме
В теме одно сообщение

#1 Forum Moderator

Forum Moderator

    Гуру

  • Модераторы
  • PipPipPipPipPipPipPipPipPipPip
  • 1 801 сообщений
  • Пол:Не определился

Отправлено 02 Июнь 2017 - 10:23

Начиная с релиза Firefox 55, плагин Adobe Flash для Firefox будет по умолчанию запрашивать разрешение у всех пользователей перед запуском.

Ранее, в августе 2016 года, Mozilla предупреждала об этом в рамках отказа от плагинов, созданных по технологии NPAPI.

В настоящее время Flash является единственным плагином NPAPI, который по-прежнему поддерживается в Firefox, и изменение настроек по умолчанию с «Всегда включать» на «Включать по запросу» — это всего лишь еще один шаг к завершающему этапу полного прекращения поддержки Flash.

Новая настройка Flash по умолчанию уже доступна в Firefox Nightly Edition и будет включена в альфа-версии и бета-версии до релиза версии v55 Stable, к которой Firefox постепенно приближается.

flash.jpg

Это говорит о том, что Firefox косвенно поощряет использование HTML5 вместо Flash для всего мультимедийного контента.

Другие браузеры, такие как Google Chrome, Brave или Opera, уже требуют подтверждения при запуске Flash или по умолчанию его выключили.

Кроме того, начиная с Firefox 55, Mozilla запретит Flash загружать контент по любой схеме URL, кроме HTTP и HTTPS. Это означает, что Flash не будет загружать и воспроизводить локальные файлы, а также файлы, полученные по FTP или другим протоколам. Mozilla заявила, что это улучшение безопасности — шаг вперёд для предотвращения эксплойтов браузера.

Mozilla планирует выпустить Firefox 55 8 августа 2017 года.

 



#2 anavar24

anavar24

    Претендент

  • Пользователи+
  • PipPip
  • 24 сообщений

Отправлено 13 Ноябрь 2017 - 04:48

Да, уже не только Firefox спрашивает разрешение на запуск Adobe Flash, такое практикуют и другие браузеры, например Яндекс Браузер. Что тут сказать, Flash как был глючным плагином, так им и остался, к тому же он порой жрёт слишком много системных ресурсов, как по мне, HTML5 намного прогрессивнее в этом плане, пора уже на него переходить.






Количество пользователей, читающих эту тему: 0

0 пользователей, 0 гостей, 0 анонимных